#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.cal.pl/                                                  #
#                                                                              #
################################################################################

. /var/config/link
. /var/config/emu.conf
. /var/config/language.conf

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

if [ $lang == pl ]; then
  
  info1="Kasowanie cwshare.cfg"
  info2="Kasowanie mbox.cfg"
  info3="Kasowanie 10000.list dla newcs"
  info4="Pobieranie cwshare.cfg"
  info5="Pobieranie mbox.cfg"
  info6="Pobieranie 10000.list"
  info7="cwshare.cfg pobrany !"
  info8="Prosze zmodyfikowac plik /var/keys/cwshare.cfg dla wlasnych ustawien !!!"
  info9="Instalacja cwshare.cfg nie powiodla sie !"
  info10="mbox.cfg pobrany !"
  info11="Instalacja mbox.cfg nie powiodla sie !"
  info12="10000.list pobrany !"
  info13="Instalacja 10000.list nie powiodla sie !"

elif [ $lang == en ]; then

  info1="Deleting cwshare.cfg"
  info2="Deleting mbox.cfg"
  info3="Deleting 10000.list dla newcs"
  info4="Downloading cwshare.cfg"
  info5="Downloading mbox.cfg"
  info6="Downloading 10000.list"
  info7="cwshare.cfg downloaded!"
  info8="Please set your own server settings in /var/keys/cwshare.cfg!!!"
  info9="cwshare.cfg instalation error!"
  info10="mbox.cfg downloaded!"
  info11="mbox.cfg instalation error!"
  info12="10000.list downloaded!"
  info13="10000.list instalation error!"  

elif [ $lang == ar ]; then

  info1="cwshare.cfg حذف"
  info2="mbox.cfg حذف"
  info3="10000.list dla newcs حذف"
  info4="cwshare.cfg تحميل"
  info5="mbox.cfg تحميل"
  info6="10000.list تحميل"
  info7="cwshare.cfg تم تحميل"
  info8="/var/keys/cwshare.cfg الرجاء ضبط إعدادات سيرفرك في"
  info9="cwshare.cfg حدثت مشكلة في تنصيب"
  info10="mbox.cfg تم تحميل"
  info11="mbox.cfg حدثت مشكلة في تنصيب"
  info12="10000.list تم تحميل"
  info13="10000.list حدثت مشكلة في تنصيب" 
  
elif [ $lang == fr ]; then

  info1="supprimer cwshare.cfg"
  info2="supprimer mbox.cfg"
  info3="supprimer 10000.list de newcs"
  info4="Telechargement de cwshare.cfg"
  info5="Telechargement de mbox.cfg"
  info6="Telechargement de 10000.list"
  info7="cwshare.cfg telecharge!"
  info8="S'il vous plait definir les parametres de votre serveur dans /var/keys/cwshare.cfg!!!"
  info9="cwshare.cfg error dans la installation!"
  info10="mbox.cfg telecharge!"
  info11="mbox.cfg erreur dans la installation!"
  info12="10000.list telecharge!"
  info13="10000.list erreur dans la installation!"   
  
elif [ $lang == de ]; then

  info1="Losche cwshare.cfg"
  info2="Losche mbox.cfg"
  info3="Losche 10000.list fur newcs"
  info4="Lade cwshare.cfg"
  info5="Lade mbox.cfg"
  info6="Lade 10000.list"
  info7="cwshare.cfg geladen !"
  info8="Bitte Datei /var/keys/cwshare.cfg fur Eigenbedarf korigieren !!!"
  info9="Instalieren cwshare.cfg fehlgeschlagen !"
  info10="mbox.cfg geladen !"
  info11="Instalieren mbox.cfg fehlgeschlagen !"
  info12="10000.list geladen !"
  info13="Instalieren 10000.list fehlgeschlagen !"

elif [ $lang == it ]; then

  info1="Eliminazione cwshare.cfg"
  info2="Eliminazione mbox.cfg"
  info3="Eliminazione 10000.list"
  info4="cwshare.cfg in download..."
  info5="mbox.cfg in download..."
  info6="10000.list in download..."
  info7="cwshare.cfg scaricato!"
  info8="Imposta la tua configurazione /var/keys/cwshare.cfg!!!"
  info9="Errore durante l'installazione di cwshare.cfg"
  info10="mbox.cfg scaricato!"
  info11="Errore durante l'installazione di mbox.cfg"
  info12="10000.list scaricato!"
  info13="Errore durante l'installazione di 10000.list"

elif [ $lang == es ]; then
  info1="cwshare.cfg se esta borrando"
  info2="mbox.cfg se esta borrando"
  info3="10000.list dla newcs se esta borrando"
  info4="cwshare.cfg se esta descargando"
  info5="mbox.cfg se esta descargando"
  info6="10000.list se esta descargando"
  info7="cwshare.cfg Descargado e Instalado!"
  info8="Por favor recuerde configurar el archivo en: /var/keys/cwshare.cfg!!!"
  info9="cwshare.cfg Error en la instalacion!"
  info10="mbox.cfg Descargado e Instalado!"
  info11="mbox.cfg Error en la instalacion!"
  info12="10000.list Descargado e Instalado!"
  info13="10000.list Error en la instalacion!"  

fi

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

 if [ -s /var/keys/cwshare.cfg ] ; then
    echo $info1
    rm /var/keys/cwshare.cfg 2>/dev/null
    sleep 1
 fi
 if [ -s /var/keys/mbox.cfg ] ; then
    echo $info2
    rm /var/keys/mbox.cfg 2>/dev/null
    sleep 1
 fi
 if [ -s /var/keys/10000.list ] ; then
    echo $info3
    rm /var/keys/10000.list 2>/dev/null
    sleep 1
 fi
 if [ -s /var/keys/priority.list ] ; then
    rm /var/keys/priority.list 2>/dev/null
    sleep 1
 fi
 if [ -s /var/keys/ignore.list ] ; then
    rm /var/keys/ignore.list 2>/dev/null
    sleep 1
 fi
 if [ -s /var/keys/ident.info ] ; then
    rm /var/keys/ident.info 2>/dev/null
    sleep 1
 fi
  
echo $info4
  wget $ADRES/cwshare.cfg -q -O /var/keys/cwshare.cfg 2>/dev/null
echo $info5
  wget $ADRES/mbox.cfg -q -O /var/keys/mbox.cfg 2>/dev/null
echo $info6
  wget $ADRES/ident.info -q -O /var/keys/ident.info 2>/dev/null
  wget $ADRES/ignore.list -q -O /var/keys/ignore.list 2>/dev/null
  wget $ADRES/priority.list -q -O /var/keys/priority.list 2>/dev/null
  wget $ADRES/10000.list -q -O /var/keys/10000.list 2>/dev/null
  sync
sleep 5

 if [ -s /var/keys/cwshare.cfg ] ; then
    echo ""    
    echo $info7
    echo $info8
    echo ""
 else
    echo $info9
 fi
 if [ -s /var/keys/mbox.cfg ] ; then
    echo ""
    echo $info10
 else
    echo $info11
 fi
 if [ -s /var/keys/10000.list ] ; then
    echo ""
    echo $info12
 else
    echo $info13
 fi

echo ""

exit 0